Skip to main content
GET
/
api
/
v1
/
mlsts
GET mlsts instances
curl --request GET \
  --url https://app.onecodex.com/api/v1/mlsts \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://app.onecodex.com/api/v1/mlsts"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://app.onecodex.com/api/v1/mlsts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "$uri": "/api/v1/mlsts/0d77065796f8d173",
    "created_at": "2023-11-07T05:31:56Z",
    "job": {
      "__DOLLAR_REF__": "/api/v1/jobs/a1b2c3d4e5f67890"
    },
    "sample": {
      "__DOLLAR_REF__": "/api/v1/samples/a1b2c3d4e5f67890"
    },
    "complete": false,
    "error_msg": "<string>",
    "job_args": {},
    "success": false,
    "updated_at": "2023-11-07T05:31:56Z"
  }
]
GET all MLST analyses visible to the authenticated user. Returns a paginated list.

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer<int32>
default:1

Page number. Defaults to 1. See Pagination for more details.

per_page
integer<int32>
default:50

Number of requested paginated records. Defaults to 50. See Pagination for more details.

sort
string | null

Optional Mongo-style JSON sort clause, e.g., sort={"created_at": true} to sort by created_at (descending)

where
string | null

Optional Mongo-style JSON filter clause, e.g., where={"$uri": {"$eq": "/api/v1/samples/0ee172af60e84f61"}}

Response

200 - application/json

OK

$uri
string
required
read-only
Pattern: ^/api/v1/mlsts/[a-f0-9]{16}$
Example:

"/api/v1/mlsts/0d77065796f8d173"

created_at
string<date-time>
required

Timestamp for when the object was created on the One Codex platform, encoded as a RFC 3339 timestamp.

job
jobs · object
required

A reference to the versioned job underlying the analysis, e.g., {"$ref": "/api/v1/jobs/d512cb556241440f"}.

sample
samples · object
required

A reference to the sample underlying the analysis, e.g., {"$ref": "/api/v1/sample/0ee172af60e84f61"}.

complete
boolean
default:false
error_msg
string | null

The error message from the analysis, if it failed.

Maximum string length: 255
job_args
Job Args · object

The arguments passed into this analysis (can be null).

success
boolean
default:false
updated_at
string<date-time> | null

Timestamp for when the object was last updated on the One Codex platform, encoded as a RFC 3339 timestamp.